/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/chat/tags/sakai_2-4-0/chat-api/api/src/java/org/sakaiproject/chat2/model/RoomObserver.java $
 * $Id: RoomObserver.java 23077 2007-03-21 18:15:46Z chmaurer@iupui.edu $
 ***********************************************************************************
 *
 * Copyright (c) 2007 The Sakai Foundation.
 *
 * Licensed under the Educational Community License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.opensource.org/licenses/ecl1.php
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 **********************************************************************************/
 
package org.sakaiproject.chat2.model;

/**
 * Any classes that want to observer the messages in a room needs to implement this
 * and then add itself to the ChatManager
 * @author andersjb
 *
 */
public interface RoomObserver {

   /**
    * 
    * @param toolId String of the tool receiving the message
    * @param roomId String of the room receiving the masseg
    * @param message ChatMessage the message being received
    */
   public void receivedMessage(String roomId, Object message);
   

   /**
    * 
    * @param toolId
    * @param roomId
    */
   public void roomDeleted(String roomId);
   
}
