/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/content/tags/sakai_2-4-0/content-api/api/src/java/org/sakaiproject/content/api/SiteSpecificResourceType.java $
 * $Id: SiteSpecificResourceType.java 27639 2007-03-22 17:11:59Z jimeng@umich.edu $
 ***********************************************************************************
 *
 * Copyright (c) 2006, 2007 The Sakai Foundation.
 * 
 * Licensed under the Educational Community License, Version 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 *      http://www.opensource.org/licenses/ecl1.php
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 **********************************************************************************/

package org.sakaiproject.content.api;

/**
 * SiteSpecificResourceType is a ResourceType that can be enabled or disabled on a site-by-site basis.
 *
 */
public interface SiteSpecificResourceType extends ResourceType 
{
	/**
	 * Determine whether the type is enabled by default. 
	 * @return true if the type is enabled by default and false otherwise. 
	 */
	public boolean isEnabledByDefault();

}
