drop table CM_ACADEMIC_SESSION_T cascade constraints;
drop table CM_COURSE_SET_CANON_ASSOC_T cascade constraints;
drop table CM_COURSE_SET_OFFERING_ASSOC_T cascade constraints;
drop table CM_CROSS_LISTING_T cascade constraints;
drop table CM_ENROLLMENT_SET_T cascade constraints;
drop table CM_ENROLLMENT_T cascade constraints;
drop table CM_MEETING_T cascade constraints;
drop table CM_MEMBERSHIP_T cascade constraints;
drop table CM_MEMBER_CONTAINER_T cascade constraints;
drop table CM_OFFICIAL_INSTRUCTORS_T cascade constraints;
drop table CM_SEC_CATEGORY_T cascade constraints;
drop sequence CM_ACADEMIC_SESSION_S;
drop sequence CM_CROSS_LISTING_S;
drop sequence CM_ENROLLMENT_S;
drop sequence CM_ENROLLMENT_SET_S;
drop sequence CM_MEETING_S;
drop sequence CM_MEMBERSHIP_S;
drop sequence CM_MEMBER_CONATINER_S;
create table CM_ACADEMIC_SESSION_T (ACADEMIC_SESSION_ID number(19,0) not null, VERSION number(10,0) not null, LAST_MODIFIED_BY varchar2(255 char), LAST_MODIFIED_DATE date, CREATED_BY varchar2(255 char), CREATED_DATE date, ENTERPRISE_ID varchar2(255 char) not null unique, TITLE varchar2(255 char) not null, DESCRIPTION varchar2(255 char) not null, START_DATE date, END_DATE date, primary key (ACADEMIC_SESSION_ID));
create table CM_COURSE_SET_CANON_ASSOC_T (COURSE_SET number(19,0) not null, CANON_COURSE number(19,0) not null, primary key (COURSE_SET, CANON_COURSE));
create table CM_COURSE_SET_OFFERING_ASSOC_T (COURSE_SET number(19,0) not null, COURSE_OFFERING number(19,0) not null, primary key (COURSE_SET, COURSE_OFFERING));
create table CM_CROSS_LISTING_T (CROSS_LISTING_ID number(19,0) not null, VERSION number(10,0) not null, LAST_MODIFIED_BY varchar2(255 char), LAST_MODIFIED_DATE date, CREATED_BY varchar2(255 char), CREATED_DATE date, primary key (CROSS_LISTING_ID));
create table CM_ENROLLMENT_SET_T (ENROLLMENT_SET_ID number(19,0) not null, VERSION number(10,0) not null, LAST_MODIFIED_BY varchar2(255 char), LAST_MODIFIED_DATE date, CREATED_BY varchar2(255 char), CREATED_DATE date, ENTERPRISE_ID varchar2(255 char) not null unique, TITLE varchar2(255 char) not null, DESCRIPTION varchar2(255 char) not null, CATEGORY varchar2(255 char) not null, DEFAULT_CREDITS varchar2(255 char) not null, COURSE_OFFERING number(19,0), primary key (ENROLLMENT_SET_ID));
create table CM_ENROLLMENT_T (ENROLLMENT_ID number(19,0) not null, VERSION number(10,0) not null, LAST_MODIFIED_BY varchar2(255 char), LAST_MODIFIED_DATE date, CREATED_BY varchar2(255 char), CREATED_DATE date, USER_ID varchar2(255 char) not null, STATUS varchar2(255 char) not null, CREDITS varchar2(255 char) not null, GRADING_SCHEME varchar2(255 char) not null, DROPPED number(1,0), ENROLLMENT_SET number(19,0), primary key (ENROLLMENT_ID), unique (USER_ID, ENROLLMENT_SET));
create table CM_MEETING_T (MEETING_ID number(19,0) not null, LOCATION varchar2(255 char), START_TIME date, FINISH_TIME date, NOTES varchar2(255 char), MONDAY number(1,0), TUESDAY number(1,0), WEDNESDAY number(1,0), THURSDAY number(1,0), FRIDAY number(1,0), SATURDAY number(1,0), SUNDAY number(1,0), SECTION_ID number(19,0) not null, primary key (MEETING_ID));
create table CM_MEMBERSHIP_T (MEMBER_ID number(19,0) not null, VERSION number(10,0) not null, USER_ID varchar2(255 char) not null, ROLE varchar2(255 char) not null, MEMBER_CONTAINER_ID number(19,0), STATUS varchar2(255 char), primary key (MEMBER_ID), unique (USER_ID, MEMBER_CONTAINER_ID));
create table CM_MEMBER_CONTAINER_T (MEMBER_CONTAINER_ID number(19,0) not null, CLASS_DISCR varchar2(100 char) not null, VERSION number(10,0) not null, LAST_MODIFIED_BY varchar2(255 char), LAST_MODIFIED_DATE date, CREATED_BY varchar2(255 char), CREATED_DATE date, ENTERPRISE_ID varchar2(100 char) not null, TITLE varchar2(255 char) not null, DESCRIPTION varchar2(255 char) not null, CATEGORY varchar2(255 char), COURSE_OFFERING number(19,0), ENROLLMENT_SET number(19,0), PARENT_SECTION number(19,0), MAXSIZE number(10,0), PARENT_COURSE_SET number(19,0), CROSS_LISTING number(19,0), STATUS varchar2(255 char), START_DATE date, END_DATE date, CANONICAL_COURSE number(19,0), ACADEMIC_SESSION number(19,0), primary key (MEMBER_CONTAINER_ID), unique (CLASS_DISCR, ENTERPRISE_ID));
create table CM_OFFICIAL_INSTRUCTORS_T (ENROLLMENT_SET_ID number(19,0) not null, INSTRUCTOR_ID varchar2(255 char), unique (ENROLLMENT_SET_ID, INSTRUCTOR_ID));
create table CM_SEC_CATEGORY_T (CAT_CODE varchar2(255 char) not null, CAT_DESCR varchar2(255 char), primary key (CAT_CODE));
alter table CM_COURSE_SET_CANON_ASSOC_T add constraint FKBFCBD9AE7F976CD6 foreign key (CANON_COURSE) references CM_MEMBER_CONTAINER_T;
alter table CM_COURSE_SET_CANON_ASSOC_T add constraint FKBFCBD9AE2D306E01 foreign key (COURSE_SET) references CM_MEMBER_CONTAINER_T;
alter table CM_COURSE_SET_OFFERING_ASSOC_T add constraint FK5B9A5CFD26827043 foreign key (COURSE_OFFERING) references CM_MEMBER_CONTAINER_T;
alter table CM_COURSE_SET_OFFERING_ASSOC_T add constraint FK5B9A5CFD2D306E01 foreign key (COURSE_SET) references CM_MEMBER_CONTAINER_T;
create index CM_ENR_SET_CO_IDX on CM_ENROLLMENT_SET_T (COURSE_OFFERING);
alter table CM_ENROLLMENT_SET_T add constraint FK99479DD126827043 foreign key (COURSE_OFFERING) references CM_MEMBER_CONTAINER_T;
create index CM_ENR_ENR_SET_IDX on CM_ENROLLMENT_T (ENROLLMENT_SET);
create index CM_ENR_USER on CM_ENROLLMENT_T (USER_ID);
alter table CM_ENROLLMENT_T add constraint FK7A7F878E456D3EA1 foreign key (ENROLLMENT_SET) references CM_ENROLLMENT_SET_T;
alter table CM_MEETING_T add constraint FKE15DCD9BD0506F16 foreign key (SECTION_ID) references CM_MEMBER_CONTAINER_T;
create index CM_MBR_CTR on CM_MEMBERSHIP_T (MEMBER_CONTAINER_ID);
create index CM_MBR_USER on CM_MEMBERSHIP_T (USER_ID);
alter table CM_MEMBERSHIP_T add constraint FK9FBBBFE067131463 foreign key (MEMBER_CONTAINER_ID) references CM_MEMBER_CONTAINER_T;
create index CM_SECTION_PARENT_IDX on CM_MEMBER_CONTAINER_T (PARENT_SECTION);
create index CM_SECTION_ENR_SET_IDX on CM_MEMBER_CONTAINER_T (ENROLLMENT_SET);
create index CM_COURSE_SET_PARENT_IDX on CM_MEMBER_CONTAINER_T (PARENT_COURSE_SET);
create index CM_CO_ACADEMIC_SESS_IDX on CM_MEMBER_CONTAINER_T (ACADEMIC_SESSION);
create index CM_CO_CANON_COURSE_IDX on CM_MEMBER_CONTAINER_T (CANONICAL_COURSE);
create index CM_SECTION_COURSE_IDX on CM_MEMBER_CONTAINER_T (COURSE_OFFERING);
alter table CM_MEMBER_CONTAINER_T add constraint FKD96A9BC6661E50E9 foreign key (ACADEMIC_SESSION) references CM_ACADEMIC_SESSION_T;
alter table CM_MEMBER_CONTAINER_T add constraint FKD96A9BC6456D3EA1 foreign key (ENROLLMENT_SET) references CM_ENROLLMENT_SET_T;
alter table CM_MEMBER_CONTAINER_T add constraint FKD96A9BC626827043 foreign key (COURSE_OFFERING) references CM_MEMBER_CONTAINER_T;
alter table CM_MEMBER_CONTAINER_T add constraint FKD96A9BC63B0306B1 foreign key (PARENT_SECTION) references CM_MEMBER_CONTAINER_T;
alter table CM_MEMBER_CONTAINER_T add constraint FKD96A9BC64F7C8841 foreign key (CROSS_LISTING) references CM_CROSS_LISTING_T;
alter table CM_MEMBER_CONTAINER_T add constraint FKD96A9BC6D05F59F1 foreign key (CANONICAL_COURSE) references CM_MEMBER_CONTAINER_T;
alter table CM_MEMBER_CONTAINER_T add constraint FKD96A9BC649A68CB6 foreign key (PARENT_COURSE_SET) references CM_MEMBER_CONTAINER_T;
create index CM_INSTR_IDX on CM_OFFICIAL_INSTRUCTORS_T (INSTRUCTOR_ID);
alter table CM_OFFICIAL_INSTRUCTORS_T add constraint FK470F8ACCC28CC1AD foreign key (ENROLLMENT_SET_ID) references CM_ENROLLMENT_SET_T;
create sequence CM_ACADEMIC_SESSION_S;
create sequence CM_CROSS_LISTING_S;
create sequence CM_ENROLLMENT_S;
create sequence CM_ENROLLMENT_SET_S;
create sequence CM_MEETING_S;
create sequence CM_MEMBERSHIP_S;
create sequence CM_MEMBER_CONATINER_S;
