/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/help/tags/sakai_2-4-0/help-tool/src/java/org/sakaiproject/tool/help/URIResolver.java $
 * $Id: URIResolver.java 7653 2006-04-12 12:10:02Z marquard@ched.uct.ac.za $
 ***********************************************************************************
 *
 * Copyright (c) 2003, 2004 The Sakai Foundation.
 * 
 * Licensed under the Educational Community License, Version 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 *      http://www.opensource.org/licenses/ecl1.php
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 **********************************************************************************/

package org.sakaiproject.tool.help;

import java.net.URI;
import java.net.URISyntaxException;

import javax.xml.transform.Source;
import javax.xml.transform.TransformerException;
import javax.xml.transform.stream.StreamSource;

/**
 * uri resolver
 * @version $Id: URIResolver.java 7653 2006-04-12 12:10:02Z marquard@ched.uct.ac.za $
 */
public class URIResolver implements javax.xml.transform.URIResolver
{

  /**
   * @see javax.xml.transform.URIResolver#resolve(java.lang.String, java.lang.String)
   */
  public Source resolve(String href, String base) throws TransformerException
  {
    Source source = null;
    String path = null;
    try
    {
      URI uri = new URI(base);
      path = uri.resolve(href).toString();
      source = new StreamSource(path);
    }
    catch (URISyntaxException e)
    {
    }

    return source;
  }

}