/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/metaobj/tags/sakai_2-4-0/metaobj-util/tool-lib/src/java/org/sakaiproject/metaobj/utils/mvc/impl/beans/AddableUrlHandlerMapping.java $
 * $Id: AddableUrlHandlerMapping.java 14230 2006-09-05 18:02:51Z chmaurer@iupui.edu $
 ***********************************************************************************
 *
 * Copyright (c) 2004, 2005, 2006 The Sakai Foundation.
 * 
 * Licensed under the Educational Community License, Version 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 *      http://www.opensource.org/licenses/ecl1.php
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 **********************************************************************************/

package org.sakaiproject.metaobj.utils.mvc.impl.beans;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.web.servlet.handler.SimpleUrlHandlerMapping;

public class AddableUrlHandlerMapping extends SimpleUrlHandlerMapping {
   protected final transient Log logger = LogFactory.getLog(getClass());

   public AddableUrlHandlerMapping() {
   }

   protected Object lookupHandler(String urlPath) {
      logger.debug("looking up: " + urlPath);
      return super.lookupHandler(urlPath);
   }

   public void registerHandler(String url, Object newHandler) {
      logger.debug("registering: " + url + " with " + newHandler);
      super.registerHandler(url, newHandler);
      //TODO: should not need to prepend webapp name
      super.registerHandler("/sakai2-repository/" + url, newHandler);
   }
}
