/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/search/tags/sakai_2-4-0/search-tool/tool/src/java/org/sakaiproject/search/tool/model/SearchTerm.java $
 * $Id: SearchTerm.java 22733 2007-03-16 09:21:59Z ian@caret.cam.ac.uk $
 ***********************************************************************************
 *
 * Copyright (c) 2003, 2004, 2005, 2006, 2007 The Sakai Foundation.
 *
 * Licensed under the Educational Community License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.opensource.org/licenses/ecl1.php
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 **********************************************************************************/

package org.sakaiproject.search.tool.model;

/**
 * Model for the search terms on the page
 * @author ieb
 *
 */
public interface SearchTerm
{
	/**
	 * the relative weight of the search term 1 - 100
	 * @return
	 */
	String getWeight();
	
	/**
	 * The URL that will search on the term
	 * @return
	 */
	String getUrl();
	
	/**
	 * The name of the search term
	 * @return
	 */
	String getName();

}
