/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/sections/tags/sakai_2-4-0/sections-impl/sakai/model/src/java/org/sakaiproject/component/section/sakai/GroupParticipantImpl.java $
 * $Id: GroupParticipantImpl.java 18134 2006-11-14 18:59:25Z jholtzman@berkeley.edu $
 ***********************************************************************************
 *
 * Copyright (c) 2005, 2006 The Regents of the University of California and The Regents of the University of Michigan
 * 
 * Licensed under the Educational Community License, Version 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 *      http://www.opensource.org/licenses/ecl1.php
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 **********************************************************************************/
package org.sakaiproject.component.section.sakai;

import java.io.Serializable;

import org.sakaiproject.section.api.coursemanagement.LearningContext;
import org.sakaiproject.section.api.coursemanagement.User;
import org.sakaiproject.section.api.facade.Role;

public class GroupParticipantImpl extends ParticipationRecordImpl implements Serializable{

	private static final long serialVersionUID = 1L;

	protected Role role;
	
	public GroupParticipantImpl(LearningContext learningContext, User user, Role role) {
		this.learningContext = learningContext;
		this.user = user;
		this.userUid =user.getUserUid();
		this.role = role;
	}

	public Role getRole() {
		return role;
	}
}
