/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/user/tags/sakai_2-4-0/user-util/util/src/java/org/sakaiproject/util/ExternalTrustedEvidence.java $
 * $Id: ExternalTrustedEvidence.java 7194 2006-03-29 02:18:22Z ggolden@umich.edu $
 ***********************************************************************************
 *
 * Copyright (c) 2005, 2006 The Sakai Foundation.
 * 
 * Licensed under the Educational Community License, Version 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 *      http://www.opensource.org/licenses/ecl1.php
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 **********************************************************************************/

package org.sakaiproject.util;

/**
 * <p>
 * ExternalTrustedEvidence is a utility class that implements the ExternalTrustedEvidence interface.
 * </p>
 */
public class ExternalTrustedEvidence implements org.sakaiproject.user.api.ExternalTrustedEvidence
{
	/** The user identifier string. */
	protected String m_identifier = null;

	/**
	 * Construct, with identifier and password.
	 * 
	 * @param identifier
	 *        The user identifier string.
	 * @param password
	 *        The password string.
	 */
	public ExternalTrustedEvidence(String identifier)
	{
		m_identifier = identifier;
	}

	/**
	 * @inheritDoc
	 */
	public String getIdentifier()
	{
		return m_identifier;
	}

	public String toString()
	{
		return this.getClass().getName() + " id: " + m_identifier;
	}
}
